<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
$pen_id=$_POST['pen_id'];
if (isset($_POST['art_id_bod'])){ $art_id_bod=$_POST['art_id_bod'];}
if (isset($_POST['art_id'])){  $art_id=$_POST['art_id'];}
if (isset($_POST['nombre'])){ $nombre=$_POST['nombre'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if ($_POST['art_iva']>0){$art_iva=$_POST['art_iva'];} else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['precio_venta'])){ $pre_precio=$_POST['precio_venta'];}
if (isset($_POST['tipo'])){  $tipo=$_POST['tipo'];}
if (isset($_POST['com_id'])){  $combo_id=$_POST['com_id'];}


if ($tipo=='articulo')
{
	$atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_id_bod'");
    $atri1 = mysqli_fetch_array($atri1);
    $atributo1=$atri1['atributo1'];

    $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
    $atri11 = mysqli_fetch_array($atri11);
    if (isset($atri11)) 
    {                    
        $atri_nombre=$atri11['atri_nombre'];
    }
    else
    {
        $atri_nombre='';
    }

    $atributo2=$atri1['atributo2'];
    $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
    $atri2 = mysqli_fetch_array($atri2);
    if (isset($atri2)) 
    {                    
        $atri_nombre2=' - '.$atri2['atri_nombre2'];
    }
    else
    {
        $atri_nombre2='';
    }

    $atributos=$atri_nombre .$atri_nombre2;

	$insert_tmp=mysqli_query($con, "INSERT INTO pedido_detalle (art_id_bod,pend_art_id,pend_cantidad,pend_nombre,pend_precio,pend_iva,pend_descuento,pend_tipo,pend_estado,pend_archivado,pend_cocina,pedido_pen_id) 
		VALUES ('$art_id_bod','$art_id','$cantidad','$nombre $atributos','$pre_precio','$art_iva','$descuento','$tipo','facturado','no','no','$pen_id')");

}



if ($tipo=='producto')
{
	$art3=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$art_id' and empresa='$empresa'")or die(mysqli_error($con));
	$row3=mysqli_fetch_array($art3);
	$precio_venta=$pre_precio;

	$can0=mysqli_query($con,"SELECT MAX(pend_id)as pend_id FROM pedido_detalle ") or die(mysqli_error($con)); 
	$dato0=mysqli_fetch_array($can0);
	$pend_id=$dato0['pend_id']+1;

	$insert_tmp=mysqli_query($con, "INSERT INTO pedido_detalle (pend_id,art_id_bod,pend_art_id,pend_cantidad,pend_nombre,pend_precio,pend_iva,pend_descuento,pend_tipo,pend_estado,pend_archivado,pend_cocina,pedido_pen_id) 
	VALUES ('$pend_id','0','$art_id','$cantidad','$nombre','$precio_venta','$art_iva','$descuento','$tipo','facturado','no','no','$pen_id')");

	$sab=mysqli_query($con,"SELECT * FROM sabores_productos WHERE articulo_art_id='$art_id' and empresa='$empresa' ")or die(mysqli_error($con));
	if ($res=mysqli_fetch_array($sab))
	{   ?>
		<script type="text/javascript">
		  	$('#myModal').modal('hide');
		    $('body').removeClass('modal-open');
		    $('.modal-backdrop').remove();
			function redireccionar(){
		  	document.getElementById('id01').style.display='active';
		  	$("#id01").trigger("click");
			} 
			setTimeout ("redireccionar()", 100); 
		</script>
		<input id="id01" type="hidden" style="visibility: none;" data-toggle="modal" data-target="#myModal_sabor"></input>
		<form name="form_producto" id="form_producto" >
		    <div class="modal fade" id="myModal_sabor" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" data-backdrop="static">
		        <div class="modal-dialog">
		            <div class="modal-content">
		                <div class="modal-header">
		                    <h4 class="modal-title">SABORES</h4>
		                </div>
		                <div class="modal-body">
		                    <div id="resultado_sabor"></div>
		                    <div class="">
		                        <input type="hidden" name="pen_id" id="pen_id" value="<?php echo $pen_id; ?>" >
		                        <input type="hidden" name="pend_id" id="pend_id" value="<?php echo $pend_id; ?>" >
		                        <input type="hidden" name="art_id" id="art_id" value="<?php echo $art_id; ?>" >                       
		                        <?php
		                           	$sab=mysqli_query($con,"SELECT * FROM sabores_productos WHERE articulo_art_id='$art_id' and empresa='$empresa' and sab_estado='Activo' ORDER BY sab_nombre ")or die(mysqli_error($con));
		                           	while ($sab1=mysqli_fetch_array($sab))
		                         	{
		                                $sab_id=$sab1['sab_id']; ?>
		                        
		                        		<input type="checkbox" id="sabor<?php echo $sab_id; ?>" name="sabor[]" value="<?php echo mb_strtoupper($sab1['sab_nombre']); ?>">
                           				<label class="lab" for="sabor<?php echo $sab_id; ?>">
                       					<?php echo mb_strtoupper($sab1['sab_nombre']);
                       					if ($sab1['sab_precio']<>0) 
	                           			{
		                           			echo ' : ';
		                           			echo mb_strtoupper($sab1['sab_precio']);
		                           		}
		                        ?>
                           				</label>
		                      <?php } ?>  
		                       	<label for="cantidad_item" class="control-label">Observaciones</label>
    							<textarea rows="3" class="form-control input-sm" name="observaciones"></textarea>                          
		                    </div> <!-- /.form-group -->
		                    <div class="modal-footer">
		                        <button type="submit" id="btn_producto" value="btn_producto" class="btn btn-success"><i class="icon-ok"></i> Registrar</button>        
		                    </div>
		                </div>
		            </div><!-- /.modal-content -->
		        </div><!-- /.modal-dialog -->
		    </div><!-- /.modal -->
		</form> 
		<script type="text/javascript">
		$("#form_producto").submit(function( event ) {
		$('#btn_producto').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		    type: "POST",
		    url: "php_pedidos/agregar_sabor.php",
		    data: parametros,
		        beforeSend: function(objeto){
		    	    $('#resultado_sabor').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
		        },
		        success: function(datos){
		        $("#resultado_sabor").html(datos);
		        $('#btn_producto').attr("disabled", false);
		        document.getElementById("form_producto").reset();
		        $('#myModal').modal('hide');
		        $('body').removeClass('modal-open');
		      	$('.modal-backdrop').remove();
		        loadTabla();
		        loadtotal();
		       }
		    });
		   event.preventDefault();
		})
		</script>



<?php	}  else   {   ?>
		<script>
		  	loadtotal();
		  	loadTabla();
		</script>
<?php   }   }



if ($tipo=='combo')
{
	$can0=mysqli_query($con,"SELECT MAX(pedcom_id) as pedcom_id FROM pedido_detalle_combo ") or die(mysqli_error($con)); 
	$dato0=mysqli_fetch_array($can0);
	$pedcom_id=$dato0['pedcom_id']+1;

	$insert_tmp=mysqli_query($con, "INSERT INTO  pedido_detalle_combo (pedcom_id,combo_id,pedcom_cantidad,pedcom_nombre,pend_iva,pend_desc,pedcom_precio,pend_estado,pend_archivado,pend_cocina,pedido_pen_id) 
	VALUES ('$pedcom_id','$combo_id','$cantidad','$nombre','$art_iva','$descuento','$pre_precio','facturado','no','no','$pen_id')");

	$sab=mysqli_query($con,"SELECT * FROM sabores_combos WHERE combo_id='$combo_id' and empresa='$empresa'")or die(mysqli_error($con));
	if ($res=mysqli_fetch_array($sab))
	{   ?>
	<script type="text/javascript">
		function redireccionar(){
		    $('#myModal').modal('hide');
		    $('body').removeClass('modal-open');
		    $('.modal-backdrop').remove();
		  document.getElementById('id01').style.display='active';
		  $("#id01").trigger("click");
		} 
		setTimeout ("redireccionar()", 100); 
	</script>
	<input id="id01" type="hidden" style="visibility: none;" data-toggle="modal" data-target="#mycombo"></input>

	<form name="form_combo" id="form_combo">
		<div class="modal fade" id="mycombo" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" data-backdrop="static">
		    <div class="modal-dialog">
		        <div class="modal-content">
		            <div class="modal-header">
		                <h4 class="modal-title">SABORES</h4>
		            </div>
	                <div class="modal-body">
	                    <div id="resultado_sabor"></div>
	                    <div class="">
	                        <input type="hidden" name="pen_id" id="pen_id" value="<?php echo $pen_id; ?>" >
	                        <input type="hidden" name="pedcom_id" id="pedcom_id" value="<?php echo $pedcom_id; ?>" >
	                        <?php
	                           $sab2=mysqli_query($con,"SELECT * FROM sabores_combos WHERE combo_id='$combo_id' and empresa='$empresa'")or die(mysqli_error($con));
	                           while ($sab1=mysqli_fetch_array($sab2))
	                            {
	                                $sab_id=$sab1['sab_id'];
	                        ?>
	                            <input type="checkbox" id="sabor<?php echo $sab_id; ?>" name="sabor[]" value="<?php echo mb_strtoupper($sab1['sab_nombre']); ?>">
                           		<label class="lab" for="sabor<?php echo $sab_id; ?>"><?php echo mb_strtoupper($sab1['sab_nombre']); ?></label>
	                        <?php } ?>                            
	                    </div> <!-- /.form-group -->
	                    <div class="modal-footer">
	                        <button type="submit" id="btn_combo" value="btn_combo" class="btn btn-success"><i class="icon-ok"></i> Registrar</button>        
	                    </div>
	                </div>
		        </div><!-- /.modal-content -->
		    </div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
	</form> 
	<script type="text/javascript">
	$("#form_combo").submit(function( event ) {
	$('#btn_combo').attr("disabled", true);
	    var parametros = $(this).serialize();
	    $.ajax({
	      	type: "POST",
	      	url: "php_pedidos/agregar_sabor_combo.php",
	      	data: parametros,
	        beforeSend: function(objeto){
	         	$('#resultado_sabor').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
	        },
			success: function(datos){
				$("#resultado_sabor").html(datos);
				$('#btn_combo').attr("disabled", false);
				document.getElementById("form_combo").reset();
				$('#mycombo').modal('hide');
				$('body').removeClass('modal-open');
				$('.modal-backdrop').remove();
				loadTabla();
				loadtotal();
			}
	  	});
	  	event.preventDefault();
	})
	</script>
		
<?php   }   else  {  ?>
		<script>
		  	loadtotal();
		  	loadTabla();
		</script>
<?php   }  }  





if ($tipo=='servicio')
{
  	$sqll=mysqli_query($con,"SELECT * FROM pedido_detalle WHERE pend_art_id='$art_id' and pedido_pen_id='$pen_id' AND pend_estado='facturado' ") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $pend_cantidad=$roww['pend_cantidad'];
        $suma=$pend_cantidad+$cantidad;
        $registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_cantidad='$suma',pend_precio='$pre_precio'
        Where pend_art_id='$art_id' and pedido_pen_id='$pen_id' ") or die(mysqli_error($con));
	}
    else
    {   
		$insert_tmp=mysqli_query($con, "INSERT INTO pedido_detalle (art_id_bod,pend_art_id,pend_cantidad,pend_nombre,pend_precio,pend_iva,pend_descuento,pend_tipo,pend_estado,pend_archivado,pend_cocina,pedido_pen_id) 
		VALUES ('0','$art_id','$cantidad','$nombre','$pre_precio','$art_iva','$descuento','$tipo','facturado','no','no','$pen_id')");
	} ?>
	<script>
	  	loadtotal();
	  	loadTabla();
	</script>
<?php }
?>
<link href="css/checkbox.css" rel="stylesheet" media="all"> 